#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DXDllDefine.h"

#if !defined(__in)
#define __in
#endif

#if !defined(__out)
#define __out
#endif

#ifdef __cplusplus
extern "C"{
#endif

#ifdef COMIDASDLL_EXPORTS
#define COMIDX_API _declspec(dllexport)
#else
#ifdef _DLL_MAIN_CPP_
#define EXTERN 
#else 
#define EXTERN extern
#endif

	t_bool DX_LoadDll();
	VOID DX_UnloadDll();
	t_bool DX_IsDllLoaded();

	//////////////////////////////////////////////////////////////////////////
	// Global Function
	EXTERN t_i32		(*DX_GnLoadDevice)				(__out t_i32* numDevs, __out HANDLE* hDevList);
	EXTERN t_i32		(*DX_GnIsDevLoaded)				(__out t_bool *IsLoaded);
	EXTERN t_i32		(*DX_GnUnloadDevice)			();
	EXTERN t_i32		(*DX_GnGetDevInfo)				(__in HANDLE hDevice, __out TDXComiDevInfo *pDevInfo);

	//////////////////////////////////////////////////////////////////////////
	// Advanced Functions
	EXTERN t_i32		(*DX_AdvWriteData)				(__in HANDLE hDevice, __in t_i32 nCS, __in t_i32 nOff, __in t_i32 nData);
	EXTERN t_i32		(*DX_AdvReadData)				(__in HANDLE hDevice, __in t_i32 nCS, __in t_i32 nOff, __out t_i32* nData);
	EXTERN t_i32		(*DX_AdvAdGetVolt)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 InputMode, __out t_f64* Volt);
	EXTERN t_i32		(*DX_AdvWriteCalbGain_AD)		(__in HANDLE hDevice, __in t_i32 Gain);
	EXTERN t_i32		(*DX_AdvWriteCalbOffset_AD)		(__in HANDLE hDevice, __in t_i32 Offset);
	EXTERN t_i32		(*DX_AdvWriteCalbGain_DA)		(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Gain);
	EXTERN t_i32		(*DX_AdvWriteCalbOffset_DA)		(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Offset);
	EXTERN t_i32		(*DX_AdvReadCalbGain_AD)		(__in HANDLE hDevice, __out t_i32* Gain);
	EXTERN t_i32		(*DX_AdvReadCalbOffset_AD)		(__in HANDLE hDevice, __out t_i32* Offset);
	EXTERN t_i32		(*DX_AdvReadCalbGain_DA)		(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Gain);
	EXTERN t_i32		(*DX_AdvReadCalbOffset_DA)		(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Offset);

	//////////////////////////////////////////////////////////////////////////
	// DIO Functions
	EXTERN t_i32		(*DX_DioSetUsage)				(__in HANDLE hDevice, __in t_i32 Usage);
	EXTERN t_i32		(*DX_DioGetUsage)				(__in HANDLE hDevice, __out t_i32* Usage);
	EXTERN t_i32		(*DX_DiGetOne)					(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* State);
	EXTERN t_i32		(*DX_DiGetAll)					(__in HANDLE hDevice, __out t_i32* States);
	EXTERN t_i32		(*DX_DoGetOne) 					(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* State);
	EXTERN t_i32		(*DX_DoGetAll)					(__in HANDLE hDevice, __out t_i32* States);
	EXTERN t_i32		(*DX_DoPutOne)					(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 State);
	EXTERN t_i32		(*DX_DoPutAll)					(__in HANDLE hDevice, __in t_i32 States);
	EXTERN t_i32		(*DX_DioGetOne)					(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* State);
	EXTERN t_i32		(*DX_DioGetAll)					(__in HANDLE hDevice, __out t_i32* States);
	
	//////////////////////////////////////////////////////////////////////////
	// Analog Input Functions
	EXTERN t_i32		(*DX_AdSetInputType)			(__in HANDLE hDevice, __in t_i32 InputMode);
	EXTERN t_i32		(*DX_AdGetInputType)			(__in HANDLE hDevice, __out t_i32* InputMode);
	EXTERN t_i32		(*DX_AdSetRange)				(__in HANDLE hDevice, __in t_i32 Range);
	EXTERN t_i32		(*DX_AdGetRange)				(__in HANDLE hDevice,  __out t_i32* Range);
	EXTERN t_i32		(*DX_AdGetDigit)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Digit);
	EXTERN t_i32		(*DX_AdGetVolt)					(__in HANDLE hDevice, __in t_i32 Channel, __out t_f64* Volt);
	EXTERN t_i32		(*DX_AdScale)					(__in HANDLE hDevice, __in t_i32 Channel, __out t_f64* Value, __in t_i32 Count, ...);
	EXTERN t_i32		(*DX_AdTableSet)				(__in HANDLE hDevice, __in t_f64* n_xTable, __in t_f64* n_yTable, __in t_i32 DataNumber,__in t_f64 nUserData,__out t_f64* Value);
	//////////////////////////////////////////////////////////////////////////
	// AD Scan Functions
	EXTERN t_i32		(*DX_SyncADSet)				(__in HANDLE hDevice_Master, __in HANDLE hDevice_Slave,  __in t_bool MasterSlaveSet);
	EXTERN t_i32		(*DX_AdScanSetTriggerMode)		(__in HANDLE hDevice, __in t_i32 TrgMode, __in t_i32 Inverse);
	EXTERN t_i32		(*DX_AdScanGetTriggerMode)		(__in HANDLE hDevice, __out t_i32* TrgMode, __out t_i32* Inverse);
	EXTERN t_i32		(*DX_AdScanSetRange)			(__in HANDLE hDevice,  __in t_i32 Range);
	EXTERN t_i32		(*DX_AdScanGetRange)			(__in HANDLE hDevice,  __out t_i32* Range);
	EXTERN t_i32		(*DX_AdScanSetChannelList)		(__in HANDLE hDevice,__in t_i32 numChannel, __in t_i32 *pChanList);
	EXTERN t_i32		(*DX_AdScanStart)				(__in HANDLE hDevice, __in t_i32 ScanFreq, __in t_i32 SampFreq, __in t_i32 nBufSize, __in t_i32 nTrsMethod, __in t_i32 IsPauseAtFull);
	EXTERN t_i32		(*DX_AdScanFilterStart)			(__in HANDLE hDevice, __in t_i32 ScanFreq, __in t_i32 SampFreq, __in t_i32 nBufSize);
	EXTERN t_i32		(*DX_AdScanStop)				(__in HANDLE hDevice, __in t_i32 IsReleaseBuf);
	EXTERN t_i32		(*DX_AdScanClear)				(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_AdScanGetFreq)				(__in HANDLE hDevice, __out t_i32* ScanFreq, __out t_i32* SampFreq);
	EXTERN t_i32		(*DX_AdScanChangeFreq)			(__in HANDLE hDevice, __in t_i32 ScanFreq, __in t_i32 SampFreq);
	EXTERN t_i32		(*DX_AdScanGetCurCount)			(__in HANDLE hDevice, __out t_i32* dwCount);
	EXTERN t_i32		(*DX_AdScanIsBufFull)			(__in HANDLE hDevice, __out BOOL* IsBufFull);
	EXTERN t_i32		(*DX_AdScanResume)				(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_AdScanRetrChannelI2)		(__in HANDLE hDevice, __in t_i32 ChannelOrder, __in t_i32 StartCount, __in t_i32 MaxNumData, __in SHORT* pDestBuf, __out t_i32* RetrivedDataCount);
	EXTERN t_i32		(*DX_AdScanRetrChannelF4)		(__in HANDLE hDevice, __in t_i32 ChannelOrder, __in t_i32 StartCount, __in t_i32 MaxNumData, __in float* pDestBuf, __out t_i32* RetrivedDataCount);
	EXTERN t_i32		(*DX_AdScanRetrChannelF8)		(__in HANDLE hDevice, __in t_i32 ChannelOrder, __in t_i32 StartCount, __in t_i32 MaxNumData, __in t_f64* pDestBuf, __out t_i32* RetrivedDataCount);
	EXTERN t_i32		(*DX_AdScanRetrBlockI2)			(__in HANDLE hDevice, __in t_i32 StartCount, __in t_i32 MaxNumScan, __out SHORT* pDestBuf, __out t_i32* RetrivedStartCount);
	EXTERN t_i32		(*DX_AdScanRetrBlockF4)			(__in HANDLE hDevice, __in t_i32 StartCount, __in t_i32 MaxNumScan, __out float* pDestBuf, __out t_i32* RetrivedStartCount);
	EXTERN t_i32		(*DX_AdScanRetrBlockF8)			(__in HANDLE hDevice, __in t_i32 StartCount, __in t_i32 MaxNumScan, __out t_f64* pDestBuf, __out t_i32* RetrivedStartCount);
	EXTERN t_i32		(*DX_AdScanFilterConfig)		(__in HANDLE hDevice, __in t_i32 FilterType, __in t_f64 CutOffFrequency, __in t_i32 AvgCount,__in t_f64 BandWidth);
	EXTERN t_i32		(*DX_AdScanGetMinMax)			(__in HANDLE hDevice, __in t_i32 ChannelOrder, __out t_f64* MinVolt, __out t_f64* MaxVolt);
	EXTERN t_i32		(*DX_AdScanMinMaxClear)			(__in HANDLE hDevice, __in t_i32 ChannelOrder);
	EXTERN t_i32		(*DX_AdScanScopeBlockF8)		(__in HANDLE hDevice, __in t_i32 StartCount, __in t_i32 MaxNumScan, __out t_ui16* pDestBuf, __out t_i32* RetrivedScanCount);				

	//////////////////////////////////////////////////////////////////////////
	// Analog Output Functions
	EXTERN t_i32		(*DX_DaClear)					(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_DaSetRange)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Range);
	EXTERN t_i32		(*DX_DaGetRange)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Range);
	EXTERN t_i32		(*DX_DaOut)						(__in HANDLE hDevice, __in t_i32 Channel, __in t_f64 OutVolt);

	//////////////////////////////////////////////////////////////////////////
	// Waveform Generation Functions
	EXTERN t_i32		(*DX_SyncWFMSet)				(__in HANDLE hDevice_Master, __in HANDLE hDevice_Slave,  __in t_bool MasterSlaveSet);
	EXTERN t_i32		(*DX_WfmStart)					(__in HANDLE hDevice, __in t_i32 Channel, __in t_f64* DataBuffer, __in t_i32 numData, __in t_i32 nPPS/*PPS*/);
	EXTERN t_i32		(*DX_WfmStop)					(__in HANDLE hDevice, __in t_i32 Channel);

	//////////////////////////////////////////////////////////////////////////
	// CNT Functions
	EXTERN t_i32		(*DX_CntClear)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_CntSetClearMode)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 ClrMode);
	EXTERN t_i32		(*DX_CntGetClearMode)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* ClrMode);
// 	EXTERN t_i32		(*DX_CntHold)					(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 LowHigh);
// 	EXTERN t_i32		(*DX_CntSetHoldMode)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 HoldMode);
// 	EXTERN t_i32		(*DX_CntGetHoldMode)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* HoldMode);
	EXTERN t_i32		(*DX_CntSetFilter)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Frequency);
	EXTERN t_i32		(*DX_CntGetFilter)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Frequency);
	EXTERN t_i32		(*DX_CntSetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Edge, __in t_i32 UpDown, __in t_i32 CntSrc);
	EXTERN t_i32		(*DX_CntGetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Edge, __out t_i32* UpDown, __out t_i32* CntSrc);
	EXTERN t_i32		(*DX_CntStart)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_CntIsActive)			    (__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* IsActive);
	EXTERN t_i32		(*DX_CntStop)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_CntSetDefault)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Count);
	EXTERN t_i32		(*DX_CntGetDefault)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Count);
	EXTERN t_i32		(*DX_CntGetCount)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Count);

	//////////////////////////////////////////////////////////////////////////
	// Pulse Generator Functions
	EXTERN t_i32		(*DX_PgSetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_f64 Frequency/*Hz*/, __in t_i32 Duty/*%*/, __in t_i32 Number);
	EXTERN t_i32		(*DX_PgGetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_f64* Frequency, __out t_i32* Duty, __out t_i32* Number);
	EXTERN t_i32		(*DX_PgSetInverse)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Inverse);
	EXTERN t_i32		(*DX_PgGetInverse)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Inverse);
	EXTERN t_i32		(*DX_PgStart)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_PgStop)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_PgIsActive)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* IsActive);

	//////////////////////////////////////////////////////////////////////////
	// Frequency Checker Functions
	EXTERN t_i32		(*DX_FcSetCounter)				(__in HANDLE hDevice, __in t_i32 CheckTime/*ms*/);
	EXTERN t_i32		(*DX_FcStart)					(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_FcStop)					(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_FcGetFrequency)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_f64* Frequency);
	EXTERN t_i32		(*DX_FcIsActive)				(__in HANDLE hDevice, __out t_i32* IsActive);

	//////////////////////////////////////////////////////////////////////////
	// Encoder Counter Functions - Only DX501
	EXTERN t_i32		(*DX_EcSetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 CntrMode, __in t_i32 CntrMethod, __in t_i32 InvertMode);
	EXTERN t_i32		(*DX_EcGetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* CntrMode, __out t_i32* CntrMethod, __out t_i32* InvertMode);
	EXTERN t_i32		(*DX_EcFilterEnable)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 FilterClk);
	EXTERN t_i32		(*DX_EcFilterDisable)			(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_EcSetMaxCount)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 MaxCount);
	EXTERN t_i32		(*DX_EcGetMaxCount)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* MaxCount);
	EXTERN t_i32		(*DX_EcSetDefault)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Count);
	EXTERN t_i32		(*DX_EcGetDefault)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Count);
	EXTERN t_i32		(*DX_EcGetCount)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Count);
	EXTERN t_i32		(*DX_EcZClearEnable)			(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_EcZClearDisable)			(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_EcZSetMaxCount)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 MaxCount);
	EXTERN t_i32		(*DX_EcZGetMaxCount)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* MaxCount);
	EXTERN t_i32		(*DX_EcZSetDefault)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 Count);
	EXTERN t_i32		(*DX_EcZGetDefault)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32* Count);
	EXTERN t_i32		(*DX_EcZGetCount)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* Count, __out t_i32* MultiTurn);
	EXTERN t_i32		(*DX_EcStart)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_EcStop)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_EcIsActive)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* IsActive);
	EXTERN t_i32		(*DX_EcClear)					(__in HANDLE hDevice, __in t_i32 Channel);

	//////////////////////////////////////////////////////////////////////////
	// Latch Functions - Only DX501
	EXTERN t_i32		(*DX_LtcSetMode)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 LtcMode);
	EXTERN t_i32		(*DX_LtcGetMode)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* LtcMode);
	EXTERN t_i32		(*DX_LtcStart)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_LtcStop)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_LtcIsActive)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* IsActive);
	EXTERN t_i32		(*DX_LtcClear)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_LtcGetDataCount)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* DataCount);
	EXTERN t_i32		(*DX_LtcReadOneLatch)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 DataIdx, __out t_i32* Data);
	EXTERN t_i32		(*DX_LtcReadAllLatch)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 StartCnt, __in t_i32 DataCount, __out t_i32* DataList);

	//////////////////////////////////////////////////////////////////////////
	// CMP Functions - Only DX501
	EXTERN t_i32		(*DX_CmpSetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 CmpMode, __in t_i32 CmpMethod, __in t_i32 CmpInv, __in t_i32 PlsWidth);
	EXTERN t_i32		(*DX_CmpGetConfig)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* CmpMode, __out t_i32* CmpMethod, __out t_i32* CmpInv, __out t_i32* PlsWidth);
	EXTERN t_i32		(*DX_CmpSetRegularData)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 IniPos, __in t_i32 Interval, __in t_i32 PlsCount, __in t_i32 RepeatInterval, __in t_i32 RepeatCount);
	EXTERN t_i32		(*DX_CmpGetRegularData)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* IniPos, __out t_i32* Interval, __out t_i32* PlsCount, __out t_i32* RepeatInterval, __out t_i32* RepeatCount);
	EXTERN t_i32		(*DX_CmpSetRandomData)			(__in HANDLE hDevice, __in t_i32 Channel, __in t_i32 DataCount, __in t_i32* DataList);
	EXTERN t_i32		(*DX_CmpGetRandomData)			(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* DataCount, __out t_i32* DataList);
	EXTERN t_i32		(*DX_CmpStart)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_CmpStop)					(__in HANDLE hDevice, __in t_i32 Channel);
	EXTERN t_i32		(*DX_CmpIsActive)				(__in HANDLE hDevice, __in t_i32 Channel, __out t_i32* IsActive);
	EXTERN t_i32		(*DX_CmpClear)					(__in HANDLE hDevice, __in t_i32 Channel);
			
	//////////////////////////////////////////////////////////////////////////
	// M3 Functions
	EXTERN t_i32		(*DX_IntHandlerSetup)			(__in HANDLE hDevice, __in t_i32 HandlerType, __in HANDLE Handler, __in t_ui32 nMessage, __in LPVOID lParam, __out t_i32 *EventID);
	EXTERN t_i32		(*DX_IntDiHandlerEnable)		(__in HANDLE hDevice, __in t_i32 EventID, __in t_i32 IntMode, __in t_i32 Channel, __in t_i32 IntType);
	EXTERN t_i32		(*DX_IntCntHandlerEnable)		(__in HANDLE hDevice, __in t_i32 EventID, __in t_i32 Channel, __in t_i32 RefCount, __in t_i32 RefBand, __in t_i32 UpDown);
	EXTERN t_i32		(*DX_IntAdScanHandlerEnable)	(__in HANDLE hDevice, __in t_i32 EventID, __in t_i32 ChannelOrder, __in t_f64 RefVolt, __in t_f64 RefBand, __in t_i32 EdgeType);
	EXTERN t_i32		(*DX_IntHandlerDisable)			(__in HANDLE hDevice, __in t_i32 EventID);
	EXTERN t_i32       (*DX_IntAllDisable)				(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_IntGetEnableState)			(__in HANDLE hDevice, __out TDxInterruptState* IntrState);

	//////////////////////////////////////////////////////////////////////////
	// Error Functions
	EXTERN t_i32		(*DX_ErrGetLastErrorCode)		(); // return Error
	EXTERN t_i32		(*DX_ErrShowLastError)			(__in HWND hParentWnd);

	//////////////////////////////////////////////////////////////////////////
	// Debug Log Functions
	EXTERN t_i32		(*DX_DLogSetup)					(__in t_i32 Type, __in t_i32 Level);
	EXTERN t_i32		(*DX_DLogSetFilePath)			(__in t_char *szFilePath);
	EXTERN t_i32		(*DX_DLogAddComment)			(__in t_char *szComment);
	EXTERN t_i32		(*DX_DLogGetCurType)			(__out t_i32 *CurType);
	EXTERN t_i32		(*DX_DLogGetCurLevel)			(__out t_i32 *CurLevel);
	EXTERN t_i32		(*DX_DLogGetCurFilePath)		(__out t_char *szFilePath);

	//////////////////////////////////////////////////////////////////////////
	// Test Functions
	EXTERN t_i32		(*DX_CPUClear)					(__in HANDLE hDevice);
	EXTERN t_i32		(*DX_TestFunc)					(__in HANDLE hDevice, __in t_i32 Type, __in t_i32 TestVal);

#undef extern
#endif

#ifdef __cplusplus
}
#endif
